summaryrefslogtreecommitdiffstats
path: root/python/gst-python
diff options
context:
space:
mode:
author Robby Workman2011-03-16 07:13:49 +0100
committer Robby Workman2011-03-20 18:33:01 +0100
commit7a1b4848a3d34a263544fadf08178c91c12fbad0 (patch)
tree8987d0fc908e371dfa87445425f59c7514075b37 /python/gst-python
parent987d45e99a299c3b24418b2976e8ec9d5f3bf404 (diff)
downloadslackbuilds-7a1b4848a3d34a263544fadf08178c91c12fbad0.tar.gz
python/*: Moved a lot of Python stuff here
The criteria for whether something "belongs" in Development or Libraries or Python or ... is admittedly arbitrary. As a general rule, if it could be either Libraries or Python, it's Python. Otherwise, pick one and we'll go from there... Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'python/gst-python')
-rw-r--r--python/gst-python/README2
-rw-r--r--python/gst-python/gst-python.SlackBuild85
-rw-r--r--python/gst-python/gst-python.info10
-rw-r--r--python/gst-python/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/python/gst-python/README b/python/gst-python/README
new file mode 100644
index 0000000000..6b1fda0f2e
--- /dev/null
+++ b/python/gst-python/README
@@ -0,0 +1,2 @@
+GStreamer python bindings. You can find API docs for the Python
+bindings at http://pygstdocs.berlios.de/.
diff --git a/python/gst-python/gst-python.SlackBuild b/python/gst-python/gst-python.SlackBuild
new file mode 100644
index 0000000000..0bef59981b
--- /dev/null
+++ b/python/gst-python/gst-python.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for gst-python
+# Author: Thiago Coutinho <thiagocoutinho1 at gmail.com>
+
+# Modified by the slackbuilds.org project.
+
+# Maintained by Binh Nguyen <binhnguyen@fastmail.fm>
+# from version 0.10.19
+
+PRGNAM=gst-python
+VERSION=${VERSION:-0.10.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/gst-python/gst-python.info b/python/gst-python/gst-python.info
new file mode 100644
index 0000000000..408feccbe4
--- /dev/null
+++ b/python/gst-python/gst-python.info
@@ -0,0 +1,10 @@
+PRGNAM="gst-python"
+VERSION="0.10.19"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-python.html"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-python/gst-python-0.10.19.tar.bz2"
+MD5SUM="ddcef7d00bd88b0591cd6d910c36ec4b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Niels Horn"
diff --git a/python/gst-python/slack-desc b/python/gst-python/slack-desc
new file mode 100644
index 0000000000..119d7fe0ff
--- /dev/null
+++ b/python/gst-python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-python: gst-python (GStreamer python bindings)
+gst-python:
+gst-python: Python bindings for the GStreamer multimedia framework.
+gst-python:
+gst-python: Homepage: http://gstreamer.freedesktop.org/modules/gst-python.html
+gst-python:
+gst-python:
+gst-python:
+gst-python:
+gst-python:
+gst-python: